--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns a hash of conditions that scopes query that fetches target object
- !ruby/struct:SM::Flow::P 
  body: "@return [Hash]"
- !ruby/struct:SM::Flow::VERB 
  body: "  Hash of conditions that scopes query\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Associations::Relationship#source_scope
is_singleton: false
name: source_scope
params: (source)
visibility: public
